summaryrefslogtreecommitdiff
path: root/plymouth/debian/plymouth-themes.postinst
diff options
context:
space:
mode:
Diffstat (limited to 'plymouth/debian/plymouth-themes.postinst')
-rw-r--r--plymouth/debian/plymouth-themes.postinst24
1 files changed, 24 insertions, 0 deletions
diff --git a/plymouth/debian/plymouth-themes.postinst b/plymouth/debian/plymouth-themes.postinst
new file mode 100644
index 0000000..568532c
--- /dev/null
+++ b/plymouth/debian/plymouth-themes.postinst
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ configure)
+ if which update-initramfs >/dev/null 2>&1; then
+ update-initramfs -u
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0
bgstack15